Bug 1021610 - (CVE-2017-5545) VUL-1: CVE-2017-5545: libplist: invalid read on too short input files
(CVE-2017-5545)
VUL-1: CVE-2017-5545: libplist: invalid read on too short input files
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Minor
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/178979/
CVSSv2:NVD:CVE-2017-5545:6.4:(AV:N/AC...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-01-24 09:26 UTC by Matthias Gerstner
Modified: 2017-12-27 20:38 UTC (History)
4 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Gerstner 2017-01-24 09:26:40 UTC
CVE-2017-5545

The main function in plistutil.c in libimobiledevice libplist through 1.12
allows attackers to obtain sensitive information from process memory or cause a
denial of service (buffer over-read) via Apple Property List data that is too
short.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2017-5545
http://people.canonical.com/~ubuntu-security/cve/2017/CVE-2017-5545.html
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-5545
http://www.cvedetails.com/cve/CVE-2017-5545/
https://github.com/libimobiledevice/libplist/commit/7391a506352c009fe044dead7baad9e22dd279ee
https://github.com/libimobiledevice/libplist/issues/87
Comment 2 Swamp Workflow Management 2017-01-24 23:00:30 UTC
bugbot adjusting priority
Comment 3 Scott Reeves 2017-01-31 00:13:28 UTC
Antonio - can you take this one...
Comment 6 Antonio Larrosa 2017-01-31 18:09:31 UTC
I submitted the fix for SLE-12, SLE-12-SP2, Leap 42.1 and 42.2 .
Also, I saw that we had a patch for CVE-2017-5209 in SLE-12-SP2 so I submitted that patch to 42.1 and 42.2 too.
Comment 8 Bernhard Wiedemann 2017-02-01 15:02:11 UTC
This is an autogenerated message for OBS integration:
This bug (1021610) was mentioned in
https://build.opensuse.org/request/show/453870 42.3 / libplist
Comment 9 Swamp Workflow Management 2017-02-09 11:06:56 UTC
openSUSE-SU-2017:0428-1: An update that fixes two vulnerabilities is now available.

Category: security (low)
Bug References: 1019531,1021610
CVE References: CVE-2017-5209,CVE-2017-5545
Sources used:
openSUSE Leap 42.2 (src):    libplist-1.12-5.1
openSUSE Leap 42.1 (src):    libplist-1.12-4.1
Comment 10 Swamp Workflow Management 2017-05-22 13:12:18 UTC
SUSE-SU-2017:1368-1: An update that fixes 7 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1019531,1021610,1023807,1023822,1023848,1029631,1035312
CVE References: CVE-2017-5209,CVE-2017-5545,CVE-2017-5834,CVE-2017-5835,CVE-2017-5836,CVE-2017-6440,CVE-2017-7982
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP1 (src):    libplist-1.8-10.9.1
SUSE Linux Enterprise Software Development Kit 12-SP2 (src):    libplist-1.8-10.9.1
SUSE Linux Enterprise Software Development Kit 12-SP1 (src):    libplist-1.8-10.9.1
SUSE Linux Enterprise Server 12-SP1 (src):    libplist-1.8-10.9.1
SUSE Linux Enterprise Desktop 12-SP1 (src):    libplist-1.8-10.9.1
Comment 11 Swamp Workflow Management 2017-05-23 19:09:30 UTC
SUSE-SU-2017:1379-1: An update that fixes 7 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1019531,1021610,1023807,1023822,1023848,1029631,1035312
CVE References: CVE-2017-5209,CVE-2017-5545,CVE-2017-5834,CVE-2017-5835,CVE-2017-5836,CVE-2017-6440,CVE-2017-7982
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP2 (src):    libplist-1.12-19.1
SUSE Linux Enterprise Software Development Kit 12-SP2 (src):    libplist-1.12-19.1
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (src):    libplist-1.12-19.1
SUSE Linux Enterprise Server 12-SP2 (src):    libplist-1.12-19.1
SUSE Linux Enterprise Desktop 12-SP2 (src):    libplist-1.12-19.1
Comment 12 Swamp Workflow Management 2017-05-28 01:08:56 UTC
openSUSE-SU-2017:1426-1: An update that fixes 7 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1019531,1021610,1023807,1023822,1023848,1029631,1035312
CVE References: CVE-2017-5209,CVE-2017-5545,CVE-2017-5834,CVE-2017-5835,CVE-2017-5836,CVE-2017-6440,CVE-2017-7982
Sources used:
openSUSE Leap 42.2 (src):    libplist-1.12-7.3.1
Comment 13 Marcus Meissner 2017-12-27 20:38:25 UTC
released